*
* Le manoir de la crapule
* Fichier : make.data
*
* (c) 1987, Jean-Louis Le Breton, Froggy Software
* (c) 2017, Antoine Vignau & Olivier Zardini, Brutal Deluxe Software
*

	mx	%11
	org	$0000
	lst	off
	typ	bin
	dsk	GameDataEN

*------------------------------------------------------------------------------
* Quelques equates

theVERSION	=	$13	; version of game data: v1.3

data48K	=	%00010000	; 01: 48K, 10: 64K, 11: 128K+
data64K	=	%00100000	; 01: 48K, 10: 64K, 11: 128K+
data128K	=	%00110000	; 01: 48K, 10: 64K, 11: 128K+

text40COL	=	%00000000	; 0: 40-col, 1: 80-col
text80COL	=	%00000010	; 0: 40-col, 1: 80-col

picNOPICS	=	%10000000	; no picture, text only game
picTEXT40	=	%00000001	; 40x24
picTEXT80	=	%00000010	; 80x24
picGR	=	%00000011	; 40x48
picDGR	=	%00000100	; 80x48
picHGR	=	%00000101	; 140x192
picHGRMONO	=	%00000110	; 280x192
picDHGR	=	%00000111	; 140x192
picDHGRMONO	=	%00001000	; 560x192
picSHR320	=	%00001001	; 320x200
picSHR640	=	%00001010	; 640x200
picUNSUPPORTED	=	%00001011	; unsupported

compNONE	=	%00000000	; picture is not compressed
compLZ4	=	%00000001	; picture uses LZ4
compUNSUPPORTED = 	%00000010	; unsupported

false	=	$00	; valeur FAUX
true	=	$80	; valeur VRAI
eod	=	-1	; valeur $FF

*------------------------------------------------------------------------------
* Table pointers

	adrl	tblGame		; 01 - 00 - les paramètres du jeu
	adrl	tblDirections		; 02 - 02 - les directions autorisées dans chacune des pièces
	adrl	tblCas		; 03 - 04 - le nombre de cas possibles par pièce
	adrl	tblCasImage		; 04 - 06 - le tableau de correspondance des situations/messages/conditions par pièce
	adrl	tblConditions		; 05 - 08 - le tableau des conditions du jeu (en fait, la solution)
	adrl	tblSituations		; 06 - 0A - les situations possibles par pièce
	adrl	tblSystemMessages	; 07 - 0C - les messages du moteur (AV: histoire de faire de l'I18N facilement)
	adrl	tblSystemDictionnaire	; 08 - 0E - le dictionnaire du moteur (AV: histoire de faire l'I18N facilement)
	adrl	tblDictionnaire	; 09 - 10 - le dictionnaire du jeu (AV: quelques ajouts pour les directions, load&save)
	adrl	tblMessagesImage	; 10 - 12 - les phrases qui accompagnent chaque image
	adrl	tblMessages		; 11 - 14 - les messages du jeu
	adrl	tblDialogues		; 12 - 16 - les dialogues du jeu (quand on interroge quelqu'un)
	adrl	tblConditionsImage	; 13 - 18 - le tableau du choix de l'image à afficher selon les conditions
	adrl	tblPlan		; 14 - 1A - le tableau des dialogues pour le plan du jeu
	adrl	tblSituationsImage	; 15 - 1C - le tableau du numéro de pièce réel associé à une image
	adrl	tblDirectionsConditions	; 16 - 20 - le tableau qui autorise les déplacements

*------------------------------------------------------------------------------

	put	crapule.data.en
	put	crapule.dictionnaire.en
	put	crapule.systemmessages.en
	put	crapule.messages.en
	put	crapule.dialogues.en
	
*------------------------------------------------------------------------------

